> ## Documentation Index
> Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm DEX transaction

> Confirms a DEX transaction with the provided transaction hash.
This endpoint should be called after the user has signed and submitted the transaction.
Without it the Order status may not be determined



## OpenAPI

````yaml https://api-partner.houdiniswap.com/v2/openapi.json post /dex/confirmTx
openapi: 3.0.0
info:
  title: houdiniswap-backend
  version: 2.1.1
  description: Houdiniswap Backend
  license:
    name: ISC
  contact: {}
servers:
  - url: https://api-partner.houdiniswap.com/v2
security: []
paths:
  /dex/confirmTx:
    post:
      tags:
        - DEX
      summary: Confirm DEX transaction
      description: >-
        Confirms a DEX transaction with the provided transaction hash.

        This endpoint should be called after the user has signed and submitted
        the transaction.

        Without it the Order status may not be determined
      operationId: ConfirmTx
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DexConfirmTxRequest'
      responses:
        '200':
          description: Transaction confirmed
          content:
            application/json:
              schema:
                type: boolean
        '400':
          description: Missing transaction hash for on-chain order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    DexConfirmTxRequest:
      description: Request body for confirming a DEX transaction
      properties:
        id:
          type: string
          description: The Houdini order ID
          minLength: 3
        txHash:
          type: string
          description: >-
            The transaction hash to confirm. Required for on-chain orders,
            optional for off-chain orders.

            Supports multiple chain formats: EVM (0x + 64 hex), Solana (base58),
            Bitcoin (hex), TON, Tron, Sui.
          minLength: 10
          maxLength: 128
          pattern: ^[a-zA-Z0-9+/=_.-]+$
      required:
        - id
      type: object
      additionalProperties: false
    ErrorResponse:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
      required:
        - message
        - code
      type: object
      additionalProperties: false
    ValidationError:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - message
        - code
        - fields
      type: object
      additionalProperties: false
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````